Skip to main content
PATCH
/
api
/
metrics
/
{metric_uid}
Update metric
curl --request PATCH \
  --url https://dev.exante.app/api/metrics/{metric_uid} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "formula": "<string>",
  "is_active": true
}
'
{
  "status": "success",
  "status_code": 200,
  "message": "<string>",
  "data": {
    "uid": "dso",
    "name": "Days Sales Outstanding",
    "context_type": "ORGANIZATION",
    "description": "<string>",
    "formula": "(Average AR / Credit Sales) x Days in period",
    "value_type": "currency",
    "storage_unit": "raw",
    "is_snapshot": true,
    "period_definition": "as_of_date",
    "is_active": true,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}
Updates editable fields on a metric definition. Editable fields:
  • name
  • description
  • formula
  • is_active
Immutable fields include uid, context_type, value_type, storage_unit, is_snapshot, and period_definition.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

metric_uid
string
required

Metric UID

Body

application/json

Only provided fields are changed. uid, context_type, value_type, storage_unit, is_snapshot, and period_definition are immutable.

name
string
description
string
formula
string
is_active
boolean

Response

Metric updated

status
string
Example:

"success"

status_code
integer
Example:

200

message
string
data
object